**Definition**
If \(f(x,y)\) is differentiable in an open region containing the point \( (x_0,y_0) \), we define the *gradient vector* of \( f(x,y) \) at \( (x_0, y_0) \) as the vector 
<!--\index{Gradient}\index{Vector!unit}\index{Direction}\index{Derivative!directional}-->
\begin{equation*}
\nabla f(x_0, y_0) = \bigg[ \frac{\partial f(x_0, y_0)}{\partial x}, \frac{\partial f(x_0, y_0)}{\partial y} \bigg].
\end{equation*}
Given any vector \( \boldsymbol{v} = [v_1, v_2] \) with \( \lVert {\boldsymbol{v}} \rVert = \big( v_1^2+v_2^2\big)^{1/2}=1 \) (what we call a *unit vector* or a *direction*), we define the *directional derivative* of \( f \) in the direction \( \boldsymbol{v} \) at \( (x_0, y_0) \) by
\begin{equation*}
D_{\boldsymbol{v}}f(x_0, y_0) = \big\langle \nabla{f}(x_0, y_0), \boldsymbol{v} \big\rangle = \frac{\partial f(x_0,y_0)}{\partial x} v_1 + \frac{\partial f(x_0,y_0)}{\partial y} v_2.
\end{equation*}